Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFBorderFormatting

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFBorderFormatting

All Implemented Interfaces:
  BorderFormatting

    public final class HSSFBorderFormatting

extends java.lang.Object
implements BorderFormatting

High level representation for Border Formatting component of Conditional Formatting settings

Author:
  Dmitriy Kumshayev

Field Summary

Fields inherited from interface org.apache.poi.ss.usermodel.BorderFormatting
`BORDER_DASH_DOT, BORDER_DASH_DOT_DOT, BORDER_DASHED, BORDER_DOTTED, BORDER_DOUBLE, BORDER_HAIR, BORDER_MEDIUM, BORDER_MEDIUM_DASH_DOT, BORDER_MEDIUM_DASH_DOT_DOT, BORDER_MEDIUM_DASHED, BORDER_NONE, BORDER_SLANTED_DASH_DOT, BORDER_THICK, BORDER_THIN`

Method Summary
`short` | `getBorderBottom()`
`short` | `getBorderDiagonal()`
`short` | `getBorderLeft()`
`short` | `getBorderRight()`
`short` | `getBorderTop()`
`short` | `getBottomBorderColor()`
`short` | `getDiagonalBorderColor()`
`short` | `getLeftBorderColor()`
`short` | `getRightBorderColor()`
`short` | `getTopBorderColor()`
`boolean` | `isBackwardDiagonalOn()`
`boolean` | `isForwardDiagonalOn()`
`void` | `setBackwardDiagonalOn(boolean on)`
`void` | `setBorderBottom(short border)`
`void` | `setBorderDiagonal(short border)` Set diagonal border.
`void` | `setBorderLeft(short border)` Set left border.
`void` | `setBorderRight(short border)` Set right border.
`void` | `setBorderTop(short border)` Set top border.
`void` | `setBottomBorderColor(short color)`
`void` | `setDiagonalBorderColor(short color)`
`void` | `setForwardDiagonalOn(boolean on)`
`void` | `setLeftBorderColor(short color)`
`void` | `setRightBorderColor(short color)`
`void` | `setTopBorderColor(short color)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBorderBottom

    public short getBorderBottom()

  Specified by:
    `getBorderBottom` in interface `BorderFormatting`

### getBorderDiagonal

    public short getBorderDiagonal()

  Specified by:
    `getBorderDiagonal` in interface `BorderFormatting`

### getBorderLeft

    public short getBorderLeft()

  Specified by:
    `getBorderLeft` in interface `BorderFormatting`

### getBorderRight

    public short getBorderRight()

  Specified by:
    `getBorderRight` in interface `BorderFormatting`

### getBorderTop

    public short getBorderTop()

  Specified by:
    `getBorderTop` in interface `BorderFormatting`

### getBottomBorderColor

    public short getBottomBorderColor()

  Specified by:
    `getBottomBorderColor` in interface `BorderFormatting`

### getDiagonalBorderColor

    public short getDiagonalBorderColor()

  Specified by:
    `getDiagonalBorderColor` in interface `BorderFormatting`

### getLeftBorderColor

    public short getLeftBorderColor()

  Specified by:
    `getLeftBorderColor` in interface `BorderFormatting`

### getRightBorderColor

    public short getRightBorderColor()

  Specified by:
    `getRightBorderColor` in interface `BorderFormatting`

### getTopBorderColor

    public short getTopBorderColor()

  Specified by:
    `getTopBorderColor` in interface `BorderFormatting`

### isBackwardDiagonalOn

    public boolean isBackwardDiagonalOn()

### isForwardDiagonalOn

    public boolean isForwardDiagonalOn()

### setBackwardDiagonalOn

    public void setBackwardDiagonalOn(boolean on)

### setBorderBottom

    public void setBorderBottom(short border)

  Specified by:
    `setBorderBottom` in interface `BorderFormatting`

### setBorderDiagonal

    public void setBorderDiagonal(short border)

  Description copied from interface: `BorderFormatting`
  Set diagonal border.

  Specified by:
    `setBorderDiagonal` in interface `BorderFormatting`
  Parameters:
    `border` - MUST be a BORDER_* constant

### setBorderLeft

    public void setBorderLeft(short border)

  Description copied from interface: `BorderFormatting`
  Set left border.

  Specified by:
    `setBorderLeft` in interface `BorderFormatting`
  Parameters:
    `border` - MUST be a BORDER_* constant

### setBorderRight

    public void setBorderRight(short border)

  Description copied from interface: `BorderFormatting`
  Set right border.

  Specified by:
    `setBorderRight` in interface `BorderFormatting`
  Parameters:
    `border` - MUST be a BORDER_* constant

### setBorderTop

    public void setBorderTop(short border)

  Description copied from interface: `BorderFormatting`
  Set top border.

  Specified by:
    `setBorderTop` in interface `BorderFormatting`
  Parameters:
    `border` - MUST be a BORDER_* constant

### setBottomBorderColor

    public void setBottomBorderColor(short color)

  Specified by:
    `setBottomBorderColor` in interface `BorderFormatting`

### setDiagonalBorderColor

    public void setDiagonalBorderColor(short color)

  Specified by:
    `setDiagonalBorderColor` in interface `BorderFormatting`

### setForwardDiagonalOn

    public void setForwardDiagonalOn(boolean on)

### setLeftBorderColor

    public void setLeftBorderColor(short color)

  Specified by:
    `setLeftBorderColor` in interface `BorderFormatting`

### setRightBorderColor

    public void setRightBorderColor(short color)

  Specified by:
    `setRightBorderColor` in interface `BorderFormatting`

### setTopBorderColor

    public void setTopBorderColor(short color)

  Specified by:
    `setTopBorderColor` in interface `BorderFormatting`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD